
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #530

Audacious sometimes crashes without bitmap font

April 12, 2015 05:07 - Sergio Bayona

Status: Rejected Start date: April 12, 2015

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.6.1   

Description

Sometimes audacious crash when it has the bitmap font option disactivated, enable this option seems to fix the problem, but i want

support for non-ascii characters. This only happen to me in the version 3.6.1, I found this in the log:

audacious: cairo-scaled-font.c:459: _cairo_scaled_glyph_page_destroy: La declaración `!scaled_font->cache_frozen' no se cumple.

Abortado (`core' generado)

thanks in advance,

History

#1 - April 12, 2015 05:11 - John Lindgren

Can you please attach a debugger backtrace?

#2 - April 25, 2015 23:14 - Thomas Lange

Installing a few more fonts could help: https://bbs.archlinux.org/viewtopic.php?id=196614

#3 - April 27, 2015 06:30 - Sergio Bayona

Thanks, I'll try and I'll be commenting if it worked.

#4 - April 29, 2015 05:36 - Sergio Bayona

after testing the workaround, audacious has not failed again, thanks for all the help.

#5 - April 30, 2015 04:44 - John Lindgren

- Status changed from New to Rejected

Appears to be a Cairo bug since it affects other applications (GParted, xfce4-panel) as well.
